> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meru.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get QR Code Payin Status

> Returns the current status and validity of a QR payin.

### Params

<ParamField path="paymentId" type="string" required>
  The paymentId returned when creating the QR code payin.
</ParamField>

### Response

<ResponseField name="paymentId" type="string">
  The unique payment identifier.
</ResponseField>

<ResponseField name="isValid" type="boolean">
  Whether the QR payin is currently valid.
</ResponseField>

<ResponseField name="isExpired" type="boolean">
  Whether the QR is expired.
</ResponseField>

<ResponseField name="expiresAt" type="string">
  The ISO 8601 timestamp when the QR expires. May be omitted depending on state.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/v1/payins/qr-code/pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1/status' \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>'
  ```

  ```js Javascript theme={null}
  const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/v1/payins/qr-code/pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1/status', {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
      'api-key': '<api-key>'
    }
  });

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "paymentId": "pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "isValid": true,
    "isExpired": false,
    "expiresAt": "2026-04-17T12:46:44.310Z",
    "state": "created"
  }
  ```
</ResponseExample>

### Error Responses

<ResponseExample>
  ```json 404 theme={null}
  {
    "success": false,
    "error": "Not Found"
  }
  ```
</ResponseExample>
